Bug 625453 - Review Request: libdhash - Dynamic hash table
Review Request: libdhash - Dynamic hash table
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Hrozek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-19 09:43 EDT by Stephen Gallagher
Modified: 2010-10-07 07:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-07 07:28:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jhrozek: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2010-08-19 09:43:19 EDT
Spec URL: http://sgallagh.fedorapeople.org/packagereview/ding-libs/libdhash.spec
SRPM URL: http://sgallagh.fedorapeople.org/packagereview/ding-libs/libdhash-0.4.1-1.fc13.src.rpm
Description: 
A hash table which will dynamically re-size to achieve optimal storage & access
time properties

Previously, this library was built from the SSSD tarball, however upstream has split it out into its own tarball.
Comment 1 Stephen Gallagher 2010-08-19 09:46:46 EDT
Koji scratch-build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2411517
Comment 2 Jakub Hrozek 2010-08-24 07:56:23 EDT
 RPMLint output: clean

 The review itself (just one remark):
 [!] - The package must meet the Packaging Guidelines.
     - The URL is wrong, it points to SSSD
     - just a remark - rpm in Fedora automatically detects pkgconfig dependencies, but if you are planning to put the package into EPEL5, the pkgconfig dep will have to be added manually

The rest looks pretty good:
 [OK] - The License field in the package spec file must match the actual license.
 [OK] - The package must be named according to the Package Naming Guidelines
 [OK] - The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
 [OK] - The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
 [OK] - If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
 [OK] - The spec file must be written in American English.
 [OK] - The spec file for the package MUST be legible.
 [OK] - The sources used to build the package must match the upstream source, as provided in the spec URL.
      - OK, 3a3003e29a258952658d9e34d0cc0ee5
 [OK] - The package MUST successfully compile and build
 [OK] - All build dependencies must be listed in BuildRequires
      - The two above were tested with koji scratch build
 [OK] - Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
 [OK] - Packages must NOT bundle copies of system libraries
 [OK] - A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
 [OK] - A Fedora package must not list a file more than once in the spec file's %files listings.
 [OK] - Each package must consistently use macros.
 [OK] - The package must contain code, or permissable content.
 [OK] - Header files must be in a -devel package. 
 [OK] - If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
 [OK] - In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
 [OK] - Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
 [OK] - Packages must not own files or directories already owned by other packages.
 [OK] - All filenames in rpm packages must be valid UTF-8. 
 [OK] - Permissions on files must be set properly.
Comment 3 Stephen Gallagher 2010-08-24 08:03:28 EDT
The URL is not wrong. For the forseeable future, libdhash will remain hosted at the SSSD project site.
Comment 4 Jakub Hrozek 2010-08-24 08:11:55 EDT
(In reply to comment #3)
> The URL is not wrong. For the forseeable future, libdhash will remain hosted at
> the SSSD project site.

Ah, sorry, I got confused by the separate git repository on fedorahosted - I wasn't aware it was possible to have one without a project-hosting Trac instance. 

In that case, approved.
Comment 5 Stephen Gallagher 2010-08-30 08:34:37 EDT
New Package SCM Request
=======================
Package Name: libdhash
Short Description: Dynamic hash table
Owners: sgallagh
Branches: f13 f14
InitialCC: dpal
Comment 6 Kevin Fenzi 2010-08-30 13:34:16 EDT
Git done (by process-git-requests).
Comment 7 Stephen Gallagher 2010-10-07 07:28:18 EDT
Withdrawing this package. Upstream has changed packaging and it will be bundled into ding-libs.

See https://bugzilla.redhat.com/show_bug.cgi?id=636947

Note You need to log in before you can comment on or make changes to this bug.